module Minitest
  def self.plugin_fast_fail_init(_)
    self.reporter << FastFailReporter.new
  end

  class FastFailReporter < AbstractReporter
    def record(result)
      if result.failure
        puts("\n#{result}\n")
        exit(false)
      end
    end
  end
end
